Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
edits
/
{run_id}
Get agent edit status
curl --request GET \
  --url https://developer.creao.ai/v1/agents/{agent_id}/edits/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "run_id": "11111111-1111-4111-8111-111111111111",
  "agent_id": "00000000-0000-4000-8000-000000000000",
  "status": "succeeded",
  "result": {
    "text": "Updated the agent instructions and added a valuation sensitivity section."
  },
  "usage": {
    "credits": 2.5
  },
  "created_at": "2026-07-03T10:00:00.000Z",
  "started_at": "2026-07-03T10:00:02.000Z",
  "completed_at": "2026-07-03T10:00:45.000Z"
}

Authorizations

Authorization
string
header
default:cr_sk_your_key_here
required

Account API key from Developer Console. Keys start with cr_sk_.

Path Parameters

agent_id
string<uuid>
required

Personal CREAO agent being edited.

run_id
string<uuid>
required

Run ID returned by POST /v1/agents/{agent_id}/edits.

Response

Agent edit status.

run_id
string<uuid>
required

Backing Developer API run ID for polling/debugging.

agent_id
string<uuid>
required
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed,
cancelled
result
object

Terminal edit result when the edit succeeds.

usage
object
error
object
created_at
string<date-time>
started_at
string<date-time> | null
completed_at
string<date-time> | null